Bug 875180 - SELinux is preventing /usr/bin/mpd from 'read' accesses on the chr_file urandom.
Summary: SELinux is preventing /usr/bin/mpd from 'read' accesses on the chr_file urandom.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:eb6b5b9970adaa80afc0935b619...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-09 17:27 UTC by Jiri Moskovcak
Modified: 2015-02-01 22:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-07 04:31:09 UTC
Type: ---


Attachments (Terms of Use)
File: type (9 bytes, text/plain)
2012-11-09 17:27 UTC, Jiri Moskovcak
no flags Details
File: hashmarkername (14 bytes, text/plain)
2012-11-09 17:27 UTC, Jiri Moskovcak
no flags Details

Description Jiri Moskovcak 2012-11-09 17:27:23 UTC
Additional info:
libreport_version: 2.0.18.14.g2913.dirty
kernel:         3.6.6-3.fc18.x86_64

description:
:SELinux is preventing /usr/bin/mpd from 'read' accesses on the chr_file urandom.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that mpd should be allowed read access on the urandom chr_file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep mpd /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:mpd_t:s0
:Target Context                system_u:object_r:urandom_device_t:s0
:Target Objects                urandom [ chr_file ]
:Source                        mpd
:Source Path                   /usr/bin/mpd
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           pulseaudio-2.1-4.fc18.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.11.1-50.fc18.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux (removed) 3.6.6-3.fc18.x86_64 #1 SMP Mon Nov
:                              5 16:26:34 UTC 2012 x86_64 x86_64
:Alert Count                   10
:First Seen                    2012-11-08 22:45:59 CET
:Last Seen                     2012-11-09 19:24:45 CET
:Local ID                      05933942-481d-495f-bcef-7f7903a0f0e8
:
:Raw Audit Messages
:type=AVC msg=audit(1352485485.32:260): avc:  denied  { read } for  pid=1204 comm="pulseaudio" name="urandom" dev="devtmpfs" ino=1033 scontext=system_u:system_r:mpd_t:s0 tcontext=system_u:object_r:urandom_device_t:s0 tclass=chr_file
:
:
:type=AVC msg=audit(1352485485.32:260): avc:  denied  { open } for  pid=1204 comm="pulseaudio" path="/dev/urandom" dev="devtmpfs" ino=1033 scontext=system_u:system_r:mpd_t:s0 tcontext=system_u:object_r:urandom_device_t:s0 tclass=chr_file
:
:
:type=SYSCALL msg=audit(1352485485.32:260): arch=x86_64 syscall=open success=yes exit=ECHRNG a0=39532377bb a1=0 a2=0 a3=0 items=0 ppid=1203 pid=1204 auid=4294967295 uid=986 gid=981 euid=986 suid=986 fsuid=986 egid=981 sgid=981 fsgid=981 tty=(none) ses=4294967295 comm=pulseaudio exe=/usr/bin/pulseaudio subj=system_u:system_r:mpd_t:s0 key=(null)
:
:Hash: mpd,mpd_t,urandom_device_t,chr_file,read
:
:audit2allow
:
:#============= mpd_t ==============
:#!!!! This avc can be allowed using one of the these booleans:
:#     authlogin_nsswitch_use_ldap, global_ssp
:
:allow mpd_t urandom_device_t:chr_file { read open };
:
:audit2allow -R
:
:#============= mpd_t ==============
:#!!!! This avc can be allowed using one of the these booleans:
:#     authlogin_nsswitch_use_ldap, global_ssp
:
:allow mpd_t urandom_device_t:chr_file { read open };
:

Comment 1 Jiri Moskovcak 2012-11-09 17:27:29 UTC
Created attachment 641723 [details]
File: type

Comment 2 Jiri Moskovcak 2012-11-09 17:27:31 UTC
Created attachment 641724 [details]
File: hashmarkername

Comment 3 Miroslav Grepl 2012-11-12 09:52:12 UTC
Fixed in selinux-policy-3.11.1-53.fc18.noarch

Comment 4 Fedora Update System 2012-11-28 20:57:43 UTC
selinux-policy-3.11.1-57.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-57.fc18

Comment 5 Fedora Update System 2012-11-30 06:35:57 UTC
Package selinux-policy-3.11.1-57.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-57.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19374/selinux-policy-3.11.1-57.fc18
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2012-12-02 19:29:56 UTC
Package selinux-policy-3.11.1-59.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-59.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19374/selinux-policy-3.11.1-59.fc18
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2012-12-06 20:12:21 UTC
Package selinux-policy-3.11.1-60.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-60.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19374/selinux-policy-3.11.1-60.fc18
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2012-12-07 04:31:10 UTC
selinux-policy-3.11.1-60.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.